summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintainance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-19 15:34:08 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-19 15:34:08 +0100
commit76be21e6a365d74265904fb6e0f9f678e7adad21 (patch)
tree95dd8944691da25cf43ac5ecbf7b51ba52f00766 /bin/reproducible_maintainance.sh
parenta7d25597c6343d660fa4bc3c0856ac599b4aac7f (diff)
downloadjenkins.debian.net-76be21e6a365d74265904fb6e0f9f678e7adad21.tar.xz
reproducible: dont inspect unfinished logs
Diffstat (limited to 'bin/reproducible_maintainance.sh')
-rwxr-xr-xbin/reproducible_maintainance.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index 7c91dc69..a473da17 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -87,8 +87,9 @@ fi
# find failed builds due to network problems and reschedule them
# only grep through the last 5h (300 minutes) of builds...
+# (ignore "*None.rbuild.log" because these are build which were just started)
# this job runs every 4h
-FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -mmin +300 -exec egrep -l -e "E: Failed to fetch.*Connection failed" -e "E: Failed to fetch.*Size mismatch" {} \;)
+FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e "E: Failed to fetch.*Connection failed" -e "E: Failed to fetch.*Size mismatch" {} \; || true)
if [ ! -z "$FAILED_BUILDS" ] ; then
echo
echo "Warning: the following failed builds have been found"